
!MessageSend methodsFor: '*seaside-pharo-core' stamp: 'lr 8/4/2006 09:18'!
renderOn: html
	self value: html! !

!WAPackage class methodsFor: '*seaside-pharo-core' stamp: 'jf 8/31/2009 14:29'!
seasidePharoCore
	^ self new
		name: 'Seaside-Pharo-Core';
		addDependency: 'Seaside-Core';
		addDependency: 'Seaside-Pharo-Platform';
		yourself! !

!Morph methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 15:50'!
seasideMimeDocument
	^ self imageForm seasideMimeDocument! !

!Morph methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 16:39'!
seasideMimeDocumentType: aString
	^ self imageForm seasideMimeDocumentType: aString! !

!Form methodsFor: '*seaside-pharo-core' stamp: 'jf 9/22/2008 13:21'!
defaultMimeType
	^ WAMimeType imageGif! !

!Form methodsFor: '*seaside-pharo-core' stamp: 'mb 6/12/2006 14:01'!
mimeType
	^ self defaultMimeType! !

!Form methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 16:39'!
seasideMimeDocument
	^ self seasideMimeDocumentType: self defaultMimeType! !

!Form methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 16:41'!
seasideMimeDocumentType: aString
	"Converts the receiver to a WAMimeDocument. The argument should ideally be an instance for WAMimeType. For various crappy reasons Strings and nil are also allowed."
	
	| aStream writer |
	aStream := RWBinaryOrTextStream on: String new.
	writer := self writerForMimeType: aString seasideMimeType.
	writer isNil ifTrue: [ self error: 'no writer for ', aString, ' found' ].
	writer putForm: (self asFormOfDepth: 32) onStream: aStream.
	^ WAMimeDocument on: aStream contents mimeType: aString! !

!Form methodsFor: '*seaside-pharo-core' stamp: 'pmm 9/23/2008 20:58'!
writerForMimeType: mimeType
	| sub |
	mimeType main ~= 'image'
		ifTrue: [ ^nil ]. 
	"First token is assumed to be 'image'"
	sub := mimeType sub.
	sub = 'jpg' ifTrue: [ ^JPEGReadWriter2 ].
	sub = 'jpeg' ifTrue: [ ^JPEGReadWriter2 ].
	sub = 'png' ifTrue: [ ^PNGReadWriter ].
	sub = 'pcx' ifTrue: [ ^PCXReadWriter ].
	sub = 'bmp' ifTrue: [ ^BMPReadWriter ].
	sub = 'gif' ifTrue: [ ^GIFReadWriter ].
	^nil! !

!MIMEDocument methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 15:54'!
seasideMimeDocument
	^ WAMimeDocument on: self content mimeType: self contentType! !

!PositionableStream methodsFor: '*seaside-pharo-core' stamp: 'lr 10/18/2008 15:53'!
seasideMimeDocument
	^ self contents seasideMimeDocument! !

!BlockContext methodsFor: '*seaside-pharo-core' stamp: 'lr 4/19/2009 13:30'!
renderOn: aRenderer
	self numArgs = 0
		ifTrue: [ self value ]
		ifFalse: [ self value: aRenderer ]! !

!BlockClosure methodsFor: '*seaside-pharo-core' stamp: 'lr 4/8/2009 13:32'!
renderOn: aRenderer
	self numArgs = 0
		ifTrue: [ self value ]
		ifFalse: [ self value: aRenderer ]! !
